# Fn<> IsInteger
Tests for a type to be of integral value.

Defined in | <seqan/basic.h>
Signature | `IsInteger<T>::Type`

## Template Parameters

`T` | Type that is tested.

## Return Values

`Type` | Either True or False.

## Detailed Description

Deprecated.

Please use `Is<IntegerConcept<T> >::Type`.

## See Also

- IsIntegral

#### Dox Sources

    /*!
     * @mfn IsInteger
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Tests for a type to be of integral value.
     *
     * @deprecated Please use <tt>Is&lt;IntegerConcept&lt;T&gt; &gt;::Type</tt>.
     *
     * @signature IsInteger<T>::Type
     *
     * @tparam T Type that is tested.
     *
     * @return Type Either True or False.
     *
     * @see IsIntegral
     */